Bug 801870 - SELinux is preventing PipelineThread from 'shutdown' accesses on the unix_stream_socket .
SELinux is preventing PipelineThread from 'shutdown' accesses on the unix_str...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:2d9360e93687271d686c252ee07...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 12:22 EST by Mikhail
Modified: 2012-03-21 14:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-104.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 14:54:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-03-09 12:22:49 EST
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc6.git0.2.fc17.i686.PAE
reason:         SELinux is preventing PipelineThread from 'shutdown' accesses on the unix_stream_socket .
time:           Fri 09 Mar 2012 11:22:38 PM YEKT

description:
:SELinux is preventing PipelineThread from 'shutdown' accesses on the unix_stream_socket .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that PipelineThread should be allowed shutdown access on the  unix_stream_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep PipelineThread /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Objects                 [ unix_stream_socket ]
:Source                        PipelineThread
:Source Path                   PipelineThread
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           google-chrome-unstable-19.0.1061.1-125213.i386
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-95.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-0.rc6.git0.2.fc17.i686.PAE #1 SMP
:                              Mon Mar 5 17:02:45 UTC 2012 i686 i686
:Alert Count                   158
:First Seen                    Wed 07 Mar 2012 11:30:57 PM YEKT
:Last Seen                     Fri 09 Mar 2012 11:21:24 PM YEKT
:Local ID                      3ab9b6be-42dd-4262-b37a-b64710d21e84
:
:Raw Audit Messages
:type=AVC msg=audit(1331313684.72:161): avc:  denied  { shutdown } for  pid=3315 comm="PipelineThread" scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket
:
:
:type=SYSCALL msg=audit(1331313684.72:161): arch=i386 syscall=socketcall success=no exit=EACCES a0=d a1=b0a4ca60 a2=b78e6ff4 a3=bbc69250 items=0 ppid=2 pid=3315 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=PipelineThread exe=/opt/google/chrome/chrome subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)
:
:Hash: PipelineThread,chrome_sandbox_t,unconfined_t,unix_stream_socket,shutdown
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-03-09 13:06:39 EST
Dontaudited in selinux-policy-3.10.0-99.fc17
Comment 2 Fedora Update System 2012-03-19 13:55:58 EDT
selinux-policy-3.10.0-103.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-103.fc17
Comment 3 Fedora Update System 2012-03-20 02:09:01 EDT
Package selinux-policy-3.10.0-104.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-104.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4248/selinux-policy-3.10.0-104.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-21 14:54:54 EDT
selinux-policy-3.10.0-104.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.